<?php

namespace App\Console\Commands\Administration\Contacts;

use App\Jobs\Contacts\UnreadSubmissions;

use Illuminate\Console\Command;

class UnreadSubmissionsCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-contacts:unread {--mark-read}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '[TODO] Loads the unread contact submissions';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $submissions = UnreadSubmissions::dispatchNow(
			$this->option('mark-read')
		);
		print_r($submissions);
    }
}
