<?php

namespace App\Console\Commands\Administration\DefunctRecords\Content;

use App\Jobs\Administration\DefunctRecords\Content\ClearExpiredContent as Job;

use Illuminate\Console\Command;

class ClearExpiredContentCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-clean:expired-content';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Remove expired content records';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        Job::dispatch();
    }
}
