<?php

namespace App\Console\Commands\Administration\Devices;

use App\Jobs\Devices\UpdateDeviceStatus;

use Illuminate\Console\Command;

class UpdateDeviceStatusCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-devices:set-status {deviceHash} {newStatus}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Sets the status of the target device. Available statuses: unknown allow deny';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        print_r(UpdateDeviceStatus::dispatchNow(
			$this->argument('deviceHash'),
			$this->argument('newStatus')
		));
    }
}
