<?php

namespace App\Http\Controllers\Api\Channels\ChannelMembers;

use App\Http\Requests\Channels\UpdateRolesRequest as Request;
use App\Jobs\Channels\UpdateRole;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ChannelRolesController extends Controller
{
    public function update(Request $request)
	{
		return response()->json(
			UpdateRole::dispatch(
				$request->route('channelHash'),
				$request->route('userLookupHash'),
				$request->input('roles')
			)
		);
	}
}
