<?php

namespace App\Http\Controllers\Api\Channels\ChannelMembers;

use App\Jobs\Channels\RemoveMembers;
use App\Http\Requests\Channels\AuthenticatedRequest as Request;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class RemoveChannelMembersController extends Controller
{
    public function remove(Request $request)
	{
		return response()
			->json(RemoveMembers::dispatchNow(
				$request->route('channelHash'),
				$request->route('userLookupHash')
			));
	}
}
