<?php

namespace App\Http\Controllers\Api\Channels\KnockAdministration;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\KnockAdministration\ApproveKnock;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ApproveChannelKnockController extends Controller
{
    public function accept(Request $request)
	{
		return response()->json(
			ApproveKnock::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'),
				$request->route('knockToken'),
				$request->input('roles')
			)
		);
	}
}
