<?php

namespace App\Http\Controllers\Api\Channels\KnockAdministration;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\KnockAdministration\DismissKnock;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class DismissChannelKnockController extends Controller
{
    public function dismiss(Request $request)
	{
		return response()->json(
			DismissKnock::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'),
				$request->route('knockToken')
			)
		);
	}
}
