<?php

namespace App\Http\Controllers\Api\Channels\KnockBansAdministration;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\BanAdministration\LoadChannelBans;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class LoadChannelBansController extends Controller
{
    public function loadBans(Request $request)
	{
		return response()->json(
			LoadChannelBans::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->channelHash,
				$request->route('page')
			)
		);
	}
}
