<?php

namespace App\Http\Controllers\Api\Content\Attachments;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Content\LoadAttachment;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class LoadAttachmentController extends Controller
{
    public function load(Request $request)
	{
		return response()
			->json(LoadAttachment::dispatchNow(
				$request->route('attachmentHash')
			)->encrypted_file);
	}
}
