<?php

namespace App\Http\Controllers\Api\Content;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\Author;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AuthorController extends Controller
{
    public function author(Request $request)
	{
		return response()
			->json(Author::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'),
				$request->route('authorHash')
			));
	}
}
