<?php

namespace App\Http\Controllers\Api\EditorHelpers;

use App\Interfaces\Constants\HttpHeaderConstants;
use App\Jobs\EditorHelpers\LoadEmojiSequences;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ProcessEmojiSequencesController extends Controller
{
    
	public function process(Request $request)
	{
		return response(
			LoadEmojiSequences::dispatchNow(true)
		)->header(HttpHeaderConstants::HEADER_NAME_CONTENT_TYPE, HttpHeaderConstants::CONTENT_TYPE_JSON);
	}
}
