<?php

namespace App\Http\Controllers\Api\Icons;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Icons\GetContentAttachmentsPreview;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ContentPreviewController extends Controller
{
    public function preview(Request $request)
	{
		return response(
			GetContentAttachmentsPreview::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'),
				$request->route('attachmentsHash')
			),
			200
		);
	}
}
