<?php

namespace App\Http\Controllers\Api;

use App\Traits\Strings\Encryption\EncryptionHelperTraits;
use App\Traits\Strings\Encryption\EncryptionGeneratorHelperTraits;
//use App\Traits\Strings\Utilities\StringUtilityTraits;
use App\Traits\Strings\Encryption\BaseKeyPairEncryptionTraits;
use App\Traits\Strings\Utilities\StringUtilityTraits;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TestEncryptionController extends Controller
{
//	use EncryptionGeneratorHelperTraits, EncryptionHelperTraits, StringUtilityTraits;
	use BaseKeyPairEncryptionTraits, EncryptionGeneratorHelperTraits, EncryptionHelperTraits, StringUtilityTraits;
	
//	protected function getKeys()
//	{
//		return (object)[
//			'private' => file_get_contents('/home/vagrant/ssl/www.enterprisechat.test.key'),
//			'public' => file_get_contents('/home/vagrant/ssl/www.enterprisechat.test.crt')
//		];
//	}
//	
//	public function encryptedByBrowser(Request $request)
//	{
//		$decrypted = $this->decryptByStringKey(
//			$request->input('encrypted'),
//			$request->input('key')
//		);
//		return response()->json((object)['decrypted' => $decrypted]);
//	}
//	
//	public function encryptedByServer(Request $request)
//	{
//		$key = $this->generateKey(true);
//		return response()->json((object)[
//			'data' => $this->encryptByStringKey(
//				'Encrypted by server!', $key
//			),
//			'key' => $key
//		]);
//	}
//	
//    public function keys()
//	{
//		return response()->json($this->getKeys());
//	}
//	
//	public function test()
//	{
//		$key = $this->generateKey(true);
//		$message = 'Hello world';
//		$encrypted = $this->encryptByStringKey($message, $key);
//		$encryptedError = openssl_error_string();
//		$decrypted = $this->decryptByStringKey($encrypted, $key);
//		return response()->json([
//			'encrypted' => $encrypted,
//			'encryptedError' => $encryptedError,
//			'decrypted' => $decrypted,
//			'decryptedError' => openssl_error_string()
//		]);
//	}
	
	public function encryptServerPubKey(Request $request)
	{
		$privateKey = $request->input('privateKey');
		$publicKey = $request->input('publicKey');
//		$privateKey = openssl_pkey_new();
//		$publicKey = openssl_pkey_get_public(openssl_pkey_get_details($privateKey)['key']);
		openssl_error_string();
//		$encrypted = $this->encryptByPublicKey('TEServer: Skyrim', $publicKey);
		openssl_public_encrypt(
			'TEServer: Skyrim',
			$encrypted,
			$publicKey,
			OPENSSL_PKCS1_PADDING //OPENSSL_PKCS1_OAEP_PADDING
		);
		$encrypted = base64_encode($encrypted);
		$encryptedError = openssl_error_string();
//		$decrypted = $this->decryptByPrivateKey($encrypted, $request->input('privateKey'));
//		$decrypted = $this->decryptByPrivateKey($encrypted, $privateKey);
		openssl_private_decrypt(
			$encrypted,
			$decrypted,
			$privateKey,
			OPENSSL_PKCS1_PADDING
		);
		$decryptedError = ''; //openssl_error_string();
		return response()->json((object)[
			'encrypted' => $encrypted,
			'$encryptedError' => $encryptedError,
			'decrypted' => $decrypted,
			'$decryptedError' => $decryptedError
		]);
	}
}
