<?php

namespace App\Http\Controllers\Api\Users;

use App\Http\Requests\Authentication\DeviceConfirmationRequest as Request;
use App\Jobs\Users\ConfirmDevice;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ConfirmDeviceController extends Controller
{
    public function confirm(Request $request)
	{
		return response()
			->json(ConfirmDevice::dispatchNow(
				$request->input('deviceHash'),
				$request->input('token')
			));
	}
}
