<?php

namespace App\Http\Middleware;

use Closure;

class MiddlewareBase
{
	
	public function forbidden()
	{
		return response()->json('', 403);
	}
	
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        return $next($request);
    }
}
