<?php

namespace App\Http\Requests\Channels;

use App\Http\Requests\Authentication\AuthenticatedRequest;

//use Illuminate\Foundation\Http\FormRequest;

class ChannelDetailsRequest extends AuthenticatedRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return array_merge(parent::rules(), [
            'searchable' => 'required|boolean',
			'title' => 'string|required',
			'typeId' => 'integer'
        ]);
    }
}
