<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseAbstractPivotRepository;

class AccountOwnersAbstractRepository extends BaseAbstractPivotRepository
{
    // ##########
    // standard table info
    /**
     * @var string $table
     */
    protected $table = 'account_owners';
	
	/**
	 * 
	 * @param string $userHash
	 * @return recordset
	 */
	public function getUserAccounts($userHash)
	{
		return $this->filterByFields(['user_hash' => $userHash])
			->get();
	}
}