<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseAbstractRepository;
use App\Transports\Information\ID;

class ClusterAutoIncrementAbstractRepository extends BaseAbstractRepository
{
    // ##########
    // standard table info
    /**
     * @var string $table
     */
    protected $table = 'cluster_auto_increment';
	
	/**
	 * @method insert
	 * @param array $fields
	 * @return mixed
	 */
	public function insert(Array $fields = [])
	{
		$id = $this->initializeTable()
			->insertGetId($fields);
		return new ID($id, $fields['cluster_id']);
	}
}