<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseReplicatedAbstractRepository;

use DB;

class InformationAbstractRepository extends BaseReplicatedAbstractRepository
{
    /**
     * @var boolean replicatedTable
     */
    protected $replicatedTable = true;
    
    /**
     * @var string $table
     */
    protected $table = '';

    
	//################################################################################
	//################################################################################
	//################################################################################
	// PUBLIC METHODS
	
	/**
	 * 
	 * @return recordset
	 */
	public function getRecordCounts()
	{
		return DB::select('call proc_db_stats()');
	}
}