<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\TranslatedAbstractRepository;

class SystemUserRoleAbstractRepository extends TranslatedAbstractRepository
{
	/**
	 * @var string $baseTable
	 */
	protected $baseTable		= 'system_user_roles';

	/**
	 * @var string $languageTable
	 */
	protected $languageTable	= 'system_user_role_translations';

	/**
	 * @var string $databaseView
	 */
	protected $databaseView		= 'translated_system_user_roles';

	/**
	 * @var string $foreignKeyName
	 */
	protected $foreignKeyName	= 'role_id';
}