<?php

namespace App\Jobs\Administration\DefunctRecords\Content;

use App\Interfaces\Repositories\Administration\ContentSearchHashesRepository as Repository;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class ClearExpiredSearchHashes implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
	 * 
	 * @param Repository $repository
	 */
    public function handle(Repository $repository)
    {
        $repository->removeExpiredRecords();
    }
}
