<?php

namespace App\Transports\Authentication;

use App\Transports\Information\DeviceInformation;
use App\Transports\Users\UserAuthCredentials;

class AuthenticationCredentials {
	
	/**
	 *
	 * @var UserAuthCredentials $userAuthCredentials
	 */
	public $userAuthCredentials;
	
	/**
	 *
	 * @var type $deviceInformation
	 */
	public $deviceInformation;
    
    /**
	 * 
	 * @param UserAuthCredentials $userAuthCredentials
	 * @param DeviceInformation $deviceInformation
	 */
    public function __construct(
		UserAuthCredentials $userAuthCredentials,
		DeviceInformation $deviceInformation = null
	)
    {
        $this->userAuthCredentials	= $userAuthCredentials;
		$this->deviceInformation	= $deviceInformation;
    }
	
}
