<?php

namespace App\Transports\Authentication;

/**
 * Description of BearerDevice
 *
 * @author Scott Kerns
 */
class BearerDevice {
	/**
	 *
	 * @var string $bearerToken
	 */
	public $bearerToken;
	
	/**
	 *
	 * @var string $deviceHash
	 */
	public $deviceHash;
	
	/**
	 * 
	 * @param string $bearerToken
	 * @param string $deviceHash
	 * @return void
	 */
	public function __construct($bearerToken, $deviceHash)
	{
		$this->bearerToken			= $bearerToken;
		$this->deviceHash			= $deviceHash;
	}
	
	/**
	 * @return object
	 */
	public function jsonSerialize()
	{
		return (object)[
			'bearerToken'			=> $this->bearerToken,
			'deviceHash'			=> $this->deviceHash
		];
	}
}
