<?php

namespace App\Transports\Content;

use App\Transports\Content\AttachmentMeta;
use App\Transports\Content\ContentMeta;

/**
 * Description of CreationInfo
 *
 * @author Scott Kerns
 */
class CreationInformation {
	
	/**
	 *
	 * @var ContentMeta $meta
	 */
	public $meta;
	
	/**
	 *
	 * @var mixed $content
	 */
	public $content;
	
	/**
	 * 
	 * @param ContentMeta $meta
	 * @param string $content
	 * @param array $attachments
	 */
	public function __construct(ContentMeta $meta, $content) {
		$this->meta		= $meta;
		$this->content	= $content;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'meta'			=> $this->meta,
			'content'		=> $this->content
		];
	}
}
