<?php

namespace App\Transports\Information;

/**
 * Description of Description
 *
 * @author Scott Kerns
 */
class Description {
	/**
	 *
	 * @var string $title
	 */
	public $title;
	
	/**
	 *
	 * @var string $description
	 */
	public $description;
	
	/**
	 *
	 * @var boolean $icon
	 */
	public $icon;
	
	/**
	 * 
	 * @param string $title
	 * @param string $description
	 * @param boolean $icon
	 */
	public function __construct($title = '', $description = '', $icon = false)
	{
		$this->title		= $title;
		$this->description	= $description;
		$this->icon			= $icon;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'title'			=> $this->title,
			'description'	=> $this->description,
			'icon'			=> $this->icon
		];
	}
}
