<?php

namespace App\Transports\Information;

use App\Transports\BaseTransport;

class ID extends BaseTransport
{
	/**
	 * @var integer $id
	 */
	public $id;

	/**
	 * @var integer $clusterId
	 */
	public $clusterId;

	/**
	 * @method __construct
	 * @param integer $id
	 * @param integer $clusterId
	 */
	public function __construct($id, $clusterId = 0)
	{
		$this->id			= $id;
		$this->clusterId	= $clusterId;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'id' => $this->id,
			'clusterId' => $this->clusterId
		];
	}
}