<?php

namespace App\Transports\Security;

use App\Transports\Information\EncryptionKeys;
use App\Transports\Information\Hashes;

/**
 * Description of NewRecordStrings
 *
 * @author Scott Kerns
 */
class NewRecordStrings {
    /**
     *
     * @var Hashes $hashes
     */
    public $hashes;
    
    /**
     *
     * @var KeyPair $keys
     */
    public $keys;
    
    /**
     * 
     * @param Hashes $hases
     * @param EncryptionKeys $keys
     */
    public function __construct(Hashes $hashes, EncryptionKeys $keys)
    {
        $this->hashes	= $hashes;
        $this->keys		= $keys;
    }
}
