<?php

namespace App\Transports\Users;

/**
 * Description of Details
 *
 * @author Scott Kerns
 */
class Details {
    /**
     *
     * @var string $email
     */
    public $email;
    
    /**
     *
     * @var string $nickName
     */
    public $nickName;
    
    /**
     *
     * @var string $icon
     */
    public $icon;
	
	/**
	 *
	 * @var string $iconFallback
	 */
	public $iconFallback;
    
    /**
     * 
     * @param string $email
     * @param string $nickName
     * @param string $icon
	 * @param string $iconFallback
     */
    public function __construct($email, $nickName = '', $icon = '', $iconFallback = '')
    {
        $this->email		= $email;
        $this->nickName		= $nickName;
        $this->icon			= $icon;
		$this->iconFallback	= $iconFallback;
    }
	
	public function jsonSerialize()
	{
		return (object)[
			'email'			=> $this->email,
			'nickName'		=> $this->nickName,
			'icon'			=> $this->icon,
			'iconFallback'	=> $this->iconFallback
		];
	}
}
