<?php

namespace App\Transports\Users;

class Profile {
	/**
	 *
	 * @var string $nickName
	 */
	public $nickName;
	
	/**
	 *
	 * @var string $icon
	 */
	public $icon;
	
	/**
	 * 
	 * @param string $nickName
	 * @param string $icon
	 * @return void
	 */
	public function __construct($nickName, $icon)
	{
		$this->nickName	= $nickName;
		$this->icon		= $icon;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'nickName'	=> $this->nickName,
			'icon'		=> $icon
		];
	}
}
