<?php

namespace App\Transports\Users;

class UserAuthCredentials {
	
	/**
     *
     * @var string $email
     */
    public $email;
    
    /**
     *
     * @var string $password
     */
    public $password;
    
    /**
     *
     * @var string $phrase
     */
    public $phrase;
	
	/**
     * 
     * @param string $email
     * @param string $password
     * @param string $phrase
     */
    public function __construct($email, $password, $phrase = '')
    {
        $this->email				= $email;
        $this->password				= $password;
        $this->phrase				= $phrase;
    }
	
	
	public function unlockKey()
	{
		return $this->email
			. $this->password
			. $this->phrase;
	}
	
}
