<?php

namespace App\Transports\Users;

/**
 * Description of UserUnlockCredentials
 *
 * @author Scott Kerns
 */
class UserUnlockCredentials {
	/**
	 *
	 * @var string $userEncryptionKey
	 */
	public $userEncryptionKey;
	
	/**
	 *
	 * @var string $emailHash
	 */
	public $emailHash;
	
	/**
	 * 
	 * @param string $userEncryptionKey
	 * @param string $emailHash
	 */
	public function __construct($userEncryptionKey, $emailHash)
	{
		$this->userEncryptionKey	= $userEncryptionKey;
		$this->emailHash			= $emailHash;
	}
}
