import textEditorDefinitions from '../definitions.js';
console.log('textEditorDefinitions', textEditorDefinitions);

export default {
	data()
	{
		return {
			textEditorDefinitions: textEditorDefinitions
		}
	},

	props: {
		id: {
			required: true,
			type: String
		}
	},

	methods: {
		getDescription(command)
		{
			return this.$i18n.t('editors.help.descriptions.' + command.token);
		}
	},

	mounted()
	{
		$(this.$el).foundation();
	}
}