export default
{
	data()
	{
		return {
			searchText: ''
		}
	},

	props: {
		classes: {
			default: '',
			required: false,
			type: [Array, String]
		},
		buttonIcon: {
			default: '',
			required: false,
			type: String
		}
	},

	computed: {
		getClass: function ()
		{
			return this.$utilities.arrays.combine(['search-form'], this.classes);
		}
	},

	methods: {
		searchTerms(event)
		{
			event.preventDefault();
			this.$emit('search', this.searchText);
		}
	}
}