<!doctype html>
<html class="no-js" lang="">

<head>
  <meta charset="utf-8">
  <title>NXTCLB</title>
  <meta name="description" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="csrf-token" content="{{ csrf_token() }}" />

  <!-- <link rel="manifest" href="site.webmanifest"> -->
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;1,300&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Dongle:wght@300&display=swap" rel="stylesheet">
  <link rel="apple-touch-icon" href="{{Config::get('theme.appleIcon')}}">
  <link rel="shortcut icon" type="image/svg+xml" href="{{Config::get('theme.favIcon')}}"/>

  <link rel="stylesheet" href="css/app.css">

  <meta name="theme-color" content="#fafafa">
</head>

<body>
  <div id="page-container" class="full-height">
    <partial-header-main></partial-header-main>
    <main class="grid-container constrain">
      <page-partial-common-broadcasts></page-partial-common-broadcasts>
      <router-view></router-view>
    </main>
    <partial-footer-main></partial-footer-main>

    <!-- global modals -->
    <container-modal-image></container-modal-image>
    <modal-busy></modal-busy>
  </div>

  <script src="js/app.js"></script>
</body>

</html>