<?php

namespace App\Http\Controllers\Api\Channels\ChannelMembers;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\MemberList;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ListChannelMembersController extends Controller
{
    public function members(Request $request)
	{
		return response()
			->json(MemberList::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'))
			);
	}
}
