<?php

namespace App\Http\Controllers\Api\Channels\KnockAdministration;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\KnockAdministration\BanUser;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class BanUserFromChannelController extends Controller
{
    /**
	 * 
	 * @param Request $request
	 */
	public function banUser(Request $request)
	{
		return response()->json(
			BanUser::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'),
				$request->route('knockToken'),
				$request->input('banNumberDays')
			)
		);
	}
}
