<?php

namespace App\Http\Controllers\Api\Channels\KnockAdministration;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\KnockAdministration\GetChannelKnocks;
use App\Transports\Information\ID;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class LoadChannelKnocksController extends Controller
{
    public function knocks(Request $request)
	{
		return response()->json(
			GetChannelKnocks::dispatchNow(
				$request->route('channelHash'),
				$request->getUserDataKeys(),
				$request->user()->toArray()
			)
		);
	}
}
