<?php

namespace App\Http\Controllers\Api\Channels\KnockBansAdministration;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\BanAdministration\RemoveBan;
use App\Transports\Information\ID;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class RemoveChannelBanController extends Controller
{
    public function remove(Request $request)
	{
		return response()->json(
			RemoveBan::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'),
				new ID($request->route('banId'), $request->route('banClusterId'))
			)
		);
	}
}
