<?php

namespace App\Http\Controllers\Api\Channels\PublicChannels;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\PublicChannels\KnockOnChannel;
use App\Transports\Information\ID;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class KnockOnChannelController extends Controller
{
    public function knock(Request $request)
	{
		return response()->json(
			KnockOnChannel::dispatchNow(
				new ID($request->input('channelId'), $request->input('channelClusterId')),
				$request->getUserDataKeys(),
				$request->user()->toArray()
			)
		);
	}
}
