<?php

namespace App\Http\Controllers\Api\Channels;

use App\Jobs\Channels\RemoveChannel;
use App\Transports\Information\ID;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class RemoveChannelController extends Controller
{
	public function remove(Request $request)
	{
		$id = new ID($request->route('id'), $request->route('clusterId'));
		return response()->json(RemoveChannel::dispatchNow($request->route('channelHash'), $id));
	}
}
