<?php

namespace App\Http\Controllers\Api\Contacts;

use App\Http\Requests\Contacts\ContactSubmissionRequest as Request;
use App\Jobs\Contacts\SaveContactSubmission;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SaveContactSubmissionController extends Controller
{
    public function save(Request $request)
	{
		return response()->json(SaveContactSubmission::dispatchNow(
			$request->input('title'),
			$request->input('type'),
			$request->input('languageCode'),
			$request->input('description'),
			$request->input('additional')
		));
	}
}
