<?php

namespace App\Http\Controllers\Api\Content;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Content\DeleteContent;
use App\Transports\Information\ID;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class RemoveContentController extends Controller
{
    public function remove(Request $request)
	{
		return response()->json(
			DeleteContent::dispatch(
				$request->route('channelHash'),
				new ID($request->route('contentId'), $request->route('contentClusterId'))
			)
		);
	}
}
