<?php

namespace App\Http\Controllers\Api\Content;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Content\SearchContent;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SearchContentController extends Controller
{
    public function search(Request $request)
	{
		return response()
			->json(SearchContent::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash'),
				$request->input('q'),
				$request->input('p')
			));
	}
}
