<?php

namespace App\Http\Controllers\Api\Icons;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Icons\GetChannelIcon;
use App\Transports\Information\ID;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ChannelIconController extends Controller
{
    public function icon(Request $request)
	{
		$icons = GetChannelIcon::dispatchNow(
			$request->getUserDataKeys(),
			$request->user()->toArray(),
			new ID($request->route('channelId'), $request->route('clusterId'))
		);
		return response()
			->json((object)[
				'icon' => $icons->icon,
				'iconFallback' => $icons->icon_vector_fallback
			]);
	}
}
