<?php

namespace App\Http\Controllers\Api\StringKeys;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\StringKeys\ChannelStringKeys;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ChannelStringKeysController extends Controller
{
    public function keys(Request $request)
	{
		return response()
			->json(ChannelStringKeys::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('channelHash')
			));
	}
}
