<?php

namespace App\Http\Controllers\Api\Utilities;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Utilities\GenerateHashes;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class GenerateHashesController extends Controller
{
    public function generate(Request $request)
	{
		return response()
			->json(GenerateHashes::dispatchNow(
				$request->route('type'),
				$request->route('number') ? $request->route('number') : 1
			));
	}
}
