<?php

namespace App\Http\Requests\Authentication;

use App\Traits\Strings\Encryption\UnlockEncryptedRequestKeysTraits;

use Illuminate\Foundation\Http\FormRequest;

class AuthenticatedRequest extends FormRequest
{
	use UnlockEncryptedRequestKeysTraits;
	
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
	
	/**
	 * 
	 * @return UserDataKeys
	 */
	public function getUserDataKeys()
	{
			return $this->unlockRequestHeaderKeys($this);
	}

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //
        ];
    }
}
