<?php

namespace App\Interfaces\Constants;

interface PreferencesConstants
{
	// Dashboard preferences
	const PREFERENCE_DASHBOARD_ONBOARDING_SHOW = 'dashboardOnboardingShow';
	const PREFERENCE_DASHBOARD_SETTINGS_SHOW = 'dashboardSettingsShow';
	const PREFERENCE_DASHBOARD_SETTINGS_PREFERENCES_EXPAND = 'dashboardSettingsPreferencesExpand';
	const PREFERENCE_DASHBOARD_SETTINGS_PREFERENCES_SHOW = 'dashboardSettingsPreferencesShow';
	const PREFERENCE_DASHBOARD_SETTINGS_PROFILE_EXPAND = 'dashboardSettingsProfileExpand';
	const PREFERENCE_DASHBOARD_SETTINGS_PROFILE_SHOW = 'dashboardSettingsProfileShow';
	
	// Performance preferences
	const PREFERENCE_PERFORMANCE_AUTHOR_ICON_LOAD = 'performanceAuthorIconLoad';
	const PREFERENCE_PERFORMANCE_CHANNEL_ICON_LOAD = 'performanceChannelsIconLoad';
	const PREFERENCE_PERFORMANCE_DISCUSSION_LARGE_PAGE_SIZE = 'performanceDiscussionLargerPageSize';
	const PREFERENCE_PERFORMANCE_HEADER_ANIMATION_ENABLE = 'performanceAnimationHeaderEnable';
	
	const PAGE_SIZE_DEFAULT = 10;
	const PAGE_SIZE_LARGE = 20;
	
	// Security preferences
}