<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseReplicatedAbstractRepository;

class AccountAbstractRepository extends BaseReplicatedAbstractRepository
{
    /**
     * @var boolean replicatedTable
     */
    protected $replicatedTable = true;
    
    /**
     * @var string $table
     */
    protected $table = 'accounts';

    /**
     * @var AccountUserRoleAbstractRepository $accountUserRepository
     */
    protected $accountUserRepository;
}