<?php

namespace App\Interfaces\Repositories\Administration;

use App\Interfaces\Repositories\Base\BaseAbstractRepositoryUtilities;

use DB;

class SeriesRepository extends BaseAbstractRepositoryUtilities {
	/**
	 * 
	 * @param string $tableName
	 * @return void
	 */
	public function removeOldIncrements($tableName)
	{
		return DB::table($tableName)
			->where('created_at', '<', $this->addDays(-config('replication.seriesTables.maxAgeDays')))
			->delete();
	}
}
