<?php

namespace App\Interfaces\Repositories\Base;

use App\Interfaces\Repositories\Base\BaseReplicatedAbstractRepository;

/**
 * Description of BaseAbstractPivotRepository
 *
 * @author Scott Kerns
 */
class BaseAbstractPivotRepository extends BaseReplicatedAbstractRepository{
	/**
	 * 
	 * @param string $encryptedInfoField
	 * @param string $hashFields
	 * @return collection
	 */
	public function getEncryptedRecordInfo($encryptedInfoField, Array $hashFields)
	{
		return $this->filterByFields($hashFields)
			->select($encryptedInfoField . ' as encrypted_info')
			->first()->encrypted_info;
	}
}
