<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseAbstractRepository;

class SystemClusterAbstractRepository extends BaseAbstractRepository
{
	/**
	 * @var string $table
	 */
	protected $table = 'system_clusters';

	/**
	 * @method getByRegion
	 * @param integer $regionId
	 * @return Collection
	 */
	public function getByRegion($regionId)
	{
		return $this->filterByField('region_id', $regionId)
			->get();
	}
}