<?php

namespace App\Traits\Strings\Encryption;

use App\Traits\Strings\Utilities\StringUtilityTraits;

trait BaseKeyPairEncryptionTraits {
	use StringUtilityTraits;
	
	/**
	 * 
	 * @param type $encryptedString
	 * @param type $privateKey
	 * @param type $serialize
	 * @return mixed string|object
	 */
	public function simpleunsealWithPrivateKey($encryptedString, $privateKey, $serialize = false)
	{
		openssl_private_decrypt($encryptedString, $decryptedString, $privateKey);
		return ($serialize) ? $this->deSerialize($decryptedString) : $decryptedString;
	}
	
	/**
	 * 
	 * @param type $targetToEncrypt
	 * @param type $publicKey
	 * @param type $serialize
	 * @return string
	 */
	public function simplesealWithPublicKey($targetToEncrypt, $publicKey, $serialize = false)
	{
		$stringToEncrypt = ($serialize) ? $this->serialize($targetToEncrypt) : $targetToEncrypt;
		openssl_public_encrypt($stringToEncrypt, $encryptedString, $publicKey);
		return $encryptedString;
	}
}
