<?php

namespace App\Transports\Accounts;

//use App\Transports\Information\ID; // for storing channel id
//use App\Transports\Information\Description;
//use App\Transports\Information\Hashes;
use App\Transports\Channels\Channel;

/**
 * Description of ChannelAssociationCreationInformation
 *
 * @author Scott Kerns
 */
class ChannelAssociationCreationInformation {
	
	/**
	 *
	 * @var Channel $channel
	 */
	public $channel;
	
	/**
	 * 
	 * @param Channel $channel
	 * @param string $accountPublicKey
	 * @param string $accountHash
	 */
	public function __construct(
		Channel $channel,
		$accountPublicKey,
		$accountHash
	)
	{
		$this->channel				= $channel;
		$this->accountPublicKey		= $accountPublicKey;
		$this->accountHash			= $accountHash;
	}
}
