<?php

namespace App\Transports\Accounts;

use App\Transports\Information\Description;

/**
 * Description of CreationInformation
 *
 * @author Scott Kerns
 */
class CreationInformation {
	/**
	 *
	 * @var integer $accountTypeId
	 */
	public $accountTypeId;
	
	/**
	 *
	 * @var Description $description
	 */
	public $description;
	
	/**
	 * 
	 * @param Description $description
	 * @param integer $accountTypeId
	 */
	public function __construct(Description $description = null, $accountTypeId = 0)
	{
		$this->description		= ($description) ? $description : new Description();
		$this->accountTypeId	= $accountTypeId;
	}
}
