<?php

namespace App\Transports\Authentication;

use App\Transports\Encryption\Users\UserDataKeys;

/**
 * Description of UserDataKeysWithApiToken
 *
 * @author Scott Kerns
 */
class UserDataKeysWithApiToken {
	/**
	 *
	 * @var UserDataKeys $userDataKeys
	 */
	public $userDataKeys;
	
	/**
	 *
	 * @var string $apiToken
	 */
	public $apiToken;
	
	/**
	 * 
	 * @param UserDataKeys $userDataKeys
	 * @param string $apiToken
	 */
	public function __construct(UserDataKeys $userDataKeys, $apiToken)
	{
		$this->userDataKeys	= $userDataKeys;
		$this->apiToken		= $apiToken;
	}
}
