<?php

namespace App\Transports\Authentication;

/**
 * Description of UserEncryptionKeyCredentials
 *
 * @author Scott Kerns
 */
class UserEncryptionKeyCredentials {
	/**
	 *
	 * @var string 
	 */
	public $userEncryptionKey;
	
	/**
	 *
	 * @var string 
	 */
	public $email;
	
	/**
	 *
	 * @var string 
	 */
	public $password;
	
	/**
	 * 
	 * @param string $userEncryptionKey
	 * @param string $email
	 * @param string $password
	 */
	public function __construct($userEncryptionKey, $email, $password)
	{
		$this->userEncryptionKey	= $userEncryptionKey;
		$this->email				= $email;
		$this->password				= $password;
	}
}
