<?php

namespace App\ViewComposers;

use App\Jobs\Information\StandardTranslations;

use Illuminate\View\View;

class CommonComposer
{
	public function compose(View $view)
	{
		$view->with(
			'translations',
			StandardTranslations::dispatchNow()
		);
	}
}