export default {
	props: {
		classes: {
			default: '',
			required: false,
			type: [Array, String]
		},

		languageLookup: {
			required: true,
			type: [Array, String]
		},

		type: {
			default: 2,
			required: false,
			type: Number
		}
	},

	computed: {
		computedClass()
		{
			return this.$utilities.strings.mixedJoin(this.classes);
		}
	}
}