export default
{
	props: {
		icon: {
			default: '',
			required: false,
			type: String
		},
		lookup: {
			default: '',
			required: true,
			type: String
		}
	},

	methods: {
		getIconClass(icon)
		{
			return (icon) ? ('content-icon icon-' + icon) : '';
		},

		getLookupContent(lookup)
		{
			return (lookup) ? (this.$i18n.t('pages.' + lookup + '.titles.content')) : '';
		}
	}
}