export default
{
	data()
	{
		return {
			searchText: '',
			searchEngine: null
		}
	},

	props: {
		configuration: {
			default: null,
			required: false,
			type: Object
		},
		hashSeed: {
			required: true,
			type: String
		}
	},

	methods: {
		searchTerms(event)
		{
			event.preventDefault();
console.log(this.$i18n.rawT('search'));
console.log(this.searchEngine.searchToHashes(
	this.searchText,
	this.$i18n.rawT('search')
));
			if (this.hashSeed)
			{
				this.$emit('search', this.searchEngine.searchToHashes(
					this.searchText,
					this.$i18n.rawT('search')
				));
				return;
			}
			this.$emit('search', this.searchText);
		}
	},

	mounted()
	{
		this.searchEngine = this.$utilities.searchFactory.engine(this.hashSeed);
	}

}