export default {
	props:
	{
		classes: {
			default: '',
			type: [Array, String]
		},
		lookup: {
			required: true,
			type: String
		},
		indicateRequired: {
			type: Boolean
		},
		target: {
			type: String
		}
	},
	computed: {
		labelClasses()
		{
			return this.$utilities.arrays.combine(['cell', 'label', 'label-container'], this.classes);
		}
	}
}