@extends('layouts.html5')

@section('main')
	<page-route-container>
		<header id="nav-header">
			<nav id="account">

			</nav>

			<nav id="nav-main">
				<ul>
					@foreach ($translations['navigation']['header'] as $nav)
						<li>
							<router-link to="/{{ $nav->uri }}">{{ $nav->title }}</router-link>
						</li>
					@endforeach
				</ul>
			</nav>
		</header>

		<main>
			<router-view></router-view>
		</main>

		<footer id="nav-footer">
			<nav id="nav-footer">
				<ul>
					@foreach ($translations['navigation']['footer'] as $nav)
						<li>
							<router-link to="{{ $nav->uri }}">{{ $nav->title }}</router-link>
						</li>
					@endforeach
				</ul>
			</nav>
		</footer>
	</page-route-container>
@endsection